:root {
    --zuerich-cyan: #009ee0;
    --zuerich-blue: #0076bd;
    --zuerich-dark-grey: #333;
    --zuerich-violett: #885ea0;
    --zuerich-magenta: #e30059;
    --zuerich-red: #e2001a;
    --zuerich-orange: #eb690b;
    --zuerich-yellow: #ffcc00;
    --zuerich-turquoise: #00a1a3;
    --zuerich-green: #3ea743;
}

.auction-layout *,
.auction-layout input {
    font-family: HelveticaNowRegular, Helvetica, sans-serif;
}

.auction-nav {
    border-bottom: none;
    background-color: var(--zuerich-blue);
    filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.5));
}

.loading-screen-icon-svg circle {
    stroke: var(--zuerich-blue);
}

.navbar-container {
    border-bottom: none;
}

.search-help-overlay,
.search-help-overlay::before {
    background-color: var(--zuerich-blue);
}

.admin-filter-input {
    flex-grow: 1;
}

.auction-detail-content {
    position: relative;
    padding: 20px;
    border: 1px solid #ececec;
    box-sizing: border-box;
    display: grid;
    grid-gap: 20px;
}

.auction-detail-highest-bid {
    text-align: center;
}

.auction-detail-category-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 12px;
}

.search-help-text {
    font-weight: 700;
}

.search-help-icon {
    fill: white;
    stroke: white;
}

.search-help-container{
    background-color: var(--zuerich-blue);
}

.auction-nav-hamburger .bottom-line,
.auction-nav-hamburger .middle-line,
.auction-nav-hamburger .top-line {
    stroke: white;
}

.plate-type-filter.active-filter {
    background-color: var(--zuerich-blue);
    color: white;
}

.plate-type-filter {
    background-color: white;
    color: black;
    border: 2px solid black;
}

.plate-type-filter img {
    border: 2px solid white;
    border-radius: 100%;
}

.plate-type-filter * {
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
    font-size: 1.1em;
}

.auction-nav-desktop-navigation {
    background-color: #0076bd;
}

@media screen and (max-width: 900px) {
    .navbar-container {
        clip-path: initial;
        justify-content: space-between;
        padding-left: 20px;
    }

    .auction-nav-hamburger-container {
        grid-row: 1;
    }
}

.auction-detail-main-title {
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.auction-detail-highest-bid-value,
.auction-current-bid {
    color: var(--zuerich-blue);
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.auction-number-bids {
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.auction-element-image-and-logo-wrapper {
    height: 86px;
}

.auction-element-image-container {
    height: initial;
}

.frontend-link {
    color: var(--zuerich-blue);
}

.auction-search-button,
.frontend-button {
    background-color: var(--zuerich-blue);
}

.footer-logo {
    height: 34px;
    width: auto;
}

.footer-navigation-container {
    background-color: var(--zuerich-dark-grey);
}

.thick-left-border {
    border-left-color: var(--zuerich-blue);
}

.company-account-radio-input:checked + label {
    border-color: #0076bd;
}

.navbar-content {
    height: 70px;
}

.navigation-logo-container {
    grid-row: 1 / 3;
}

.auction-detail-auction-divider {
    display: none;
}

.navigation-logo-container {
    display: flex;
    align-items: center;
}

.navigation-logo {
    height: 50px;
    width: auto;
}

.auction-layout {
    margin-top: 150px;
}

.auction-detail-bids h2,
.auction-detail-title,
.auction-main-headline {
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.text-block-styles p {
    color: #666;
    font-size: 20px;
    line-height: 30px;
    font-family: "Arial", sans-serif;
}

.text-block-styles h1,
.text-block-styles h2,
.text-block-styles h3,
.text-block-styles h4,
.text-block-styles h5,
.text-block-styles h6,
.text-block-styles h1 *,
.text-block-styles h2 *,
.text-block-styles h3 *,
.text-block-styles h4 *,
.text-block-styles h5 *,
.text-block-styles h6 * {
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.text-block-styles a {
    color: var(--zuerich-blue);
}

.auction-detail-bids-table .highest-bid td:first-of-type .username::after {
    background-image: url("/icon/award.svg");
}

.auction-layout .auction-nav-element-link,
.auction-layout .auction-nav-element-lang-link {
    color: #fff;
    line-height: 30px;
    font-size: 20px;
}

.auction-search-term-input {
    border: 2px solid #949494;
    border-radius: 2px;
    border-right: 0;
}

.auction-search-term-input:focus {
    border-color: #005e97;
}

.auction-detail-category-item {
    background: #005e97;
    color: #fff;
    font-size: 1.125rem;
    line-height: 40px;
    padding: 0.25rem .75rem 0;
    border-radius: 75px;
    height: 2.5rem;
}

.format-picker-element:hover,
.format-picker-element.is-selected {
    border-color: var(--zuerich-blue);
}

.auction-detail-bidding-widget {
    grid-template-areas:
        "widget-title"
        "widget-description"
        "widget-info-box"
        "widget-bid-information"
        "widget-highest-bid"
        "widget-format-picker"
        "widget-bid-input";
}

.auction-detail-bidding-widget .auction-detail-title {
    grid-area: widget-title;
}

.auction-detail-bidding-widget .auction-detail-bid-description {
    grid-area: widget-description;
}

.auction-detail-bidding-widget .auction-detail-credit-description {
    grid-area: widget-bid-information;
}

.auction-detail-bidding-widget .auction-detail-title {
    grid-area: widget-title;
}

.auction-detail-bidding-widget .info-box {
    grid-area: widget-info-box;
}

.auction-detail-bidding-widget .highest-bid-actions {
    grid-area: widget-highest-bid;
}

.auction-detail-bidding-widget .auction-detail-bid-widget-background {
    grid-area: widget-bid-input;
}

.format-picker-container {
    grid-area: widget-format-picker;
    display: grid;
    grid-template-areas:
        "format-picker"
        "title"
        "description";
}

.format-picker-container h2 {
    grid-area: title;
    margin-top: 10px;
}

.format-picker-container .format-picker-intro {
    grid-area: description;
}

.format-picker-container .format-picker-plate-and-warning-container {
    grid-area: format-picker;
    margin-top: 0;
}

.auction-nav-element-link:hover {
    background-color: var(--zuerich-blue);
}

.auction-nav-element-link.is-active {
    background-color: var(--zuerich-blue);
}

.auction-nav-element-link.is-active::after {
    display: none;
}

.upper-footer-copyright-notice {
    font-size: 14px;
    color: #ccc;
    font-family: "Arial Black", sans-serif;
    font-weight: 800;
}

.auction-layout .footer-link {
    color: #f8f8f2;
    font-size: 20px;
    font-weight: 800;
    font-family: "Arial Black", sans-serif;
}

.footer-container::before {
    background-color: grey;
    height: 1px;
}

.auction-end-process-step {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1 1 0;
    position: relative;
    gap: 10px;
}

@media screen and (max-width: 900px) {
    .auction-navbar {
        background-color: var(--zuerich-blue);
    }
}
